%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           opencsg
Version:        1.6.0
Release:        %mkrel 8
Summary:        Library for Constructive Solid Geometry using OpenGL
Group:          System/Libraries
# license.txt contains a linking exception for CGAL
License:        GPLv2+ with exceptions
URL:            https://www.opencsg.org/
Source0:        https://www.opencsg.org/OpenCSG-%{version}.tar.gz
Patch0:         opencsg-install.patch

BuildRequires:  cmake(Qt5Core)
BuildRequires:  pkgconfig(freeglut)

%description
OpenCSG is a library that does image-based CSG rendering using OpenGL.

#----------------------------------------------------------------------------

%package -n     %{libname}
Summary:        Library for Constructive Solid Geometry using OpenGL
Group:          System/Libraries

%description -n %{libname}
OpenCSG is a library that does image-based CSG rendering using OpenGL.

CSG is short for Constructive Solid Geometry and denotes an approach to model
complex 3D-shapes using simpler ones. I.e., two shapes can be combined by
taking the union of them, by intersecting them, or by subtracting one shape
of the other.

%files -n       %{libname}
%doc changelog.txt doc/* README.md
%license copying.txt doc/license/gpl-3.0.txt doc/license/gpl-2.0.txt
%{_libdir}/lib%{name}.so.%{major}{,.*}

#----------------------------------------------------------------------------

%package -n     %{devname}
Summary:        OpenCSG development files
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for OpenCSG.

%files -n       %{devname}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so

#----------------------------------------------------------------------------

%prep
%autosetup -p1 -n OpenCSG-%{version}

%build
cd src
%qmake_qt5 LIBDIR=%{_lib}
%make_build

%install
cd src
%make_install INSTALL_ROOT=%{buildroot}


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.6.0-8.mga10
+ Revision: 2224026
- Mageia 10 Mass Rebuild

* Tue Jun 04 2024 daviddavid <daviddavid> 1.6.0-7.mga10
+ Revision: 2069622
- new version: 1.6.0
- switch to Qt5

* Mon Apr 04 2022 umeabot <umeabot> 1.4.2-7.mga9
+ Revision: 1843177
- Mageia 9 Mass Rebuild

* Wed Dec 02 2020 luigiwalser <luigiwalser> 1.4.2-6.mga8
+ Revision: 1651361
- rebuild for glew

* Fri Feb 14 2020 umeabot <umeabot> 1.4.2-5.mga8
+ Revision: 1515718
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.4.2-4.mga7
+ Revision: 1300005
- Mageia 7 Mass Rebuild

* Sun Dec 03 2017 daviddavid <daviddavid> 1.4.2-3.mga7
+ Revision: 1180820
- rebuild for new glew 2.1.0

* Tue Sep 12 2017 tv <tv> 1.4.2-2.mga7
+ Revision: 1153135
- sync with FC in order to fix empty debugsources
- set _disable_ld_no_undefined in consequence
- rebuild for new libglew

* Sun Oct 30 2016 akien <akien> 1.4.2-1.mga6
+ Revision: 1064235
- Version 1.4.2

* Tue Feb 16 2016 umeabot <umeabot> 1.4.0-3.mga6
+ Revision: 961937
- Mageia 6 Mass Rebuild

* Mon Aug 24 2015 sander85 <sander85> 1.4.0-2.mga6
+ Revision: 869140
- Rebuild for glew 1.13.0

* Mon Jul 06 2015 akien <akien> 1.4.0-1.mga6
+ Revision: 851874
- Version 1.4.0

* Wed Oct 15 2014 umeabot <umeabot> 1.3.3-3.mga5
+ Revision: 739542
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.3-2.mga5
+ Revision: 683202
- Mageia 5 Mass Rebuild

* Thu Jun 12 2014 akien <akien> 1.3.3-1.mga5
+ Revision: 635861
- Set proper package names for library and dev package
- import source RPM from Fedora


* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 22 2014 Miro Hrončok <mhroncok@redhat.com> - 1.3.3-1
- Updated to 1.3.3

* Mon Nov 18 2013 Dave Airlie <airlied@redhat.com> - 1.3.2-11
- rebuilt for GLEW 1.10

* Sun Nov 17 2013 Miro Hrončok <mhroncok@redhat.com> - 1.3.2-10
- Rebuilt for new glew

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Dec 13 2012 Adam Jackson <ajax@redhat.com> - 1.3.2-7
- Rebuild for glew 1.9.0

* Wed Nov 14 2012 Miro Hrončok <miro@hroncok.cz> - 1.3.2-6
- Removed FSF Address path
   - using sed instead, so the path is not needed to update in newer version
   - don't modify license file
- License exception explained in a comment
- Dropped doc form devel package
- Usiyng cp -pP instead of mv to preserve timestamps

* Mon Oct 8 2012 Miro Hrončok <miro@hroncok.cz> - 1.3.2-5
- Added img to doc (needed by html files)
- Added odc to devel package (to avoid W: no-documentation)

* Thu Jul 5 2012 Greg Jurman <gdj2214@rit.edu> - 1.3.2-4
- Removed extranous build-depend to libXmu
- Fix undefined-non-weak-symbol for libGLEW
- Deprecate patch for fixing build order now the example program is gone
- Remove dependencies to qtGui and qtCore
- Remove example application from package
- Fix newlines in license.txt

* Thu Jun 7 2012 Greg Jurman <gdj2214@rit.edu> - 1.3.2-3
- Fixed spec according to Volker's suggestions

* Wed May 30 2012 Greg Jurman <gdj2214@rit.edu> - 1.3.2-2
- Fixed incorrect-fsf-address lint error

* Sat May 26 2012 Greg Jurman <gdj2214@rit.edu> - 1.3.2-1
- Updated source material for OpenCSG version 1.3.2
- Patched opencsg.pro to build in proper order (src then example)
- Patched example.pro to require libGLU (else error is thrown)
- Fixed devel/debuginfo cpio call 'missing include/opencsg.h'

* Sat Mar  5 2011 Jeff Moe <moe@alephobjects.com> - 1.3.1-5
- Enable parallel compiling.
- Corrected license to GPLv2 with exceptions.
- Improved -devel Requires for multilib.
- Remove BuildRoot tag.
- Remove %%clean section
- Change mv and mkdir to direct commands, not macros.

* Sat Feb 26 2011 Jeff Moe <moe@alephobjects.com> - 1.3.1-4
- Regenerate Makefiles to fix rpath and debuginfo-without-sources
- Use Fedora's glew instead of included copy
- Remove tab from .spec

* Mon Feb 21 2011 Jeff Moe <moe@alephobjects.com> - 1.3.1-3
- Add ldconfig to %%post and %%postun
- Fix rpath
- Fix library permissions

* Sun Feb 20 2011 Jeff Moe <moe@alephobjects.com> - 1.3.1-2
- Use qmake macro

* Sun Feb 20 2011 Jeff Moe <moe@alephobjects.com> - 1.3.1-1
- Add -devel package
- Add BuildRequires

* Fri Feb 18 2011 Jeff Moe <moe@alephobjects.com> - 1.3.1-0
- Initial spec

